=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.0~),
-               libakonadicalendar-dev (>= 4:24.12.0~),
-               libakonadicontact-dev (>= 4:24.12.0~),
-               libakonadimime-dev (>= 4:24.12.0~),
+               libakonadi-dev (>= 4:24.12.2~),
+               libakonadicalendar-dev (>= 4:24.12.2~),
+               libakonadicontact-dev (>= 4:24.12.2~),
+               libakonadimime-dev (>= 4:24.12.2~),
                libboost-system-dev,
                libboost-thread-dev,
-               libkcalendarutils-dev (>= 4:24.12.0~),
+               libkcalendarutils-dev (>= 4:24.12.2~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -29,16 +29,16 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6wallet-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
-               libkgapi-dev (>= 24.12.0~),
-               libkidentitymanagement-dev (>= 24.12.0~),
-               libkimap-dev (>= 24.12.0~),
-               libkldap-dev (>= 24.12.0~),
-               libkmailtransport-dev (>= 24.12.0~),
-               libkmbox-dev (>= 24.12.0~),
-               libkmime-dev (>= 24.12.0~),
+               libkgapi-dev (>= 24.12.2~),
+               libkidentitymanagement-dev (>= 24.12.2~),
+               libkimap-dev (>= 24.12.2~),
+               libkldap-dev (>= 24.12.2~),
+               libkmailtransport-dev (>= 24.12.2~),
+               libkmbox-dev (>= 24.12.2~),
+               libkmime-dev (>= 24.12.2~),
                libkolabxml-dev (>= 1.1~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:24.12.0~),
+               libpimcommon-dev (>= 4:24.12.2~),
                libplasmaactivities-dev (>= 6.1.0~),
                libqca-qt6-dev (>= 2.3.7~),
                libsasl2-dev,
