=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.2~),
-               libakonadicalendar-dev (>= 4:24.12.2~),
-               libakonadicontact-dev (>= 4:24.12.2~),
-               libakonadimime-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
+               libakonadicalendar-dev (>= 4:24.12.3~),
+               libakonadicontact-dev (>= 4:24.12.3~),
+               libakonadimime-dev (>= 4:24.12.3~),
                libboost-system-dev,
                libboost-thread-dev,
-               libkcalendarutils-dev (>= 4:24.12.2~),
+               libkcalendarutils-dev (>= 4:24.12.3~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -29,16 +29,16 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6wallet-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
-               libkgapi-dev (>= 24.12.2~),
-               libkidentitymanagement-dev (>= 24.12.2~),
-               libkimap-dev (>= 24.12.2~),
-               libkldap-dev (>= 24.12.2~),
-               libkmailtransport-dev (>= 24.12.2~),
-               libkmbox-dev (>= 24.12.2~),
-               libkmime-dev (>= 24.12.2~),
+               libkgapi-dev (>= 24.12.3~),
+               libkidentitymanagement-dev (>= 24.12.3~),
+               libkimap-dev (>= 24.12.3~),
+               libkldap-dev (>= 24.12.3~),
+               libkmailtransport-dev (>= 24.12.3~),
+               libkmbox-dev (>= 24.12.3~),
+               libkmime-dev (>= 24.12.3~),
                libkolabxml-dev (>= 1.1~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:24.12.2~),
+               libpimcommon-dev (>= 4:24.12.3~),
                libplasmaactivities-dev (>= 6.1.0~),
                libqca-qt6-dev (>= 2.3.7~),
                libsasl2-dev,
@@ -50,7 +50,7 @@
                qtkeychain-qt6-dev (>= 0.14.2~),
                shared-mime-info (>= 1.8~),
                xsltproc,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/kdepim-runtime
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdepim-runtime
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdepim-runtime.git
