=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: kdepim-runtime
 Section: x11
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.3~),
-               libakonadicalendar-dev (>= 4:24.12.3~),
-               libakonadicontact-dev (>= 4:24.12.3~),
-               libakonadimime-dev (>= 4:24.12.3~),
+               libakonadi-dev (>= 4:25.04.0~),
+               libakonadicalendar-dev (>= 4:25.04.0~),
+               libakonadicontact-dev (>= 4:25.04.0~),
+               libakonadimime-dev (>= 4:25.04.0~),
                libboost-system-dev,
                libboost-thread-dev,
-               libkcalendarutils-dev (>= 4:24.12.3~),
+               libkcalendarutils-dev (>= 4:25.04.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -29,16 +30,16 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6wallet-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
-               libkgapi-dev (>= 24.12.3~),
-               libkidentitymanagement-dev (>= 24.12.3~),
-               libkimap-dev (>= 24.12.3~),
-               libkldap-dev (>= 24.12.3~),
-               libkmailtransport-dev (>= 24.12.3~),
-               libkmbox-dev (>= 24.12.3~),
-               libkmime-dev (>= 24.12.3~),
+               libkgapi-dev (>= 25.04.0~),
+               libkidentitymanagement-dev (>= 25.04.0~),
+               libkimap-dev (>= 25.04.0~),
+               libkldap-dev (>= 25.04.0~),
+               libkmailtransport-dev (>= 25.04.0~),
+               libkmbox-dev (>= 25.04.0~),
+               libkmime-dev (>= 25.04.0~),
                libkolabxml-dev (>= 1.1~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:24.12.3~),
+               libpimcommon-dev (>= 4:25.04.0~),
                libplasmaactivities-dev (>= 6.1.0~),
                libqca-qt6-dev (>= 2.3.7~),
                libsasl2-dev,
@@ -50,10 +51,10 @@
                qtkeychain-qt6-dev (>= 0.14.2~),
                shared-mime-info (>= 1.8~),
                xsltproc,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kdepim-runtime
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdepim-runtime
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdepim-runtime.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-runtime
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-runtime
 Rules-Requires-Root: no
 
 Package: kdepim-runtime
